IBM Support

IT15790: SECURITY VULNERABILITY: IBM STERLING B2B INTEGRATOR STANDARD EDITION IS VULNERABLE TO CROSS-SITE SCRIPTING

Subscribe to this APAR

By subscribing, you receive periodic emails alerting you to the status of the APAR, along with a link to the fix after it becomes available. You can track this item individually or track all items by product.

Notify me when this APAR changes.

Notify me when an APAR for this component changes.

APAR status

  • Closed as program error.

Error description

  • IBM Sterling B2B Integrator Standard Edition is vulnerable to
    cross-site scripting.
    

Local fix

Problem summary

  • Users Affected:
    All
    
    Problem Description:
    IBM Sterling B2B Integrator Standard Edition is vulnerable to
    cross-site scripting.
    
    Platforms Affected:
    All
    

Problem conclusion

  • A code fix is provided.
    See the Security Bulletin for more information:
    
    Security Bulletin: Cross-Site scripting
    vulnerability affects IBM Sterling B2B Integrator
    (CVE-2016-3057) at
    https://www.ibm.com/support/docview.wss?uid=swg21989578
    
    Delivered In:
    5020602_1
    5020500_14
    5020601_6
    5020603_1
    

Temporary fix

Comments

APAR Information

  • APAR number

    IT15790

  • Reported component name

    STR B2B INTEGRA

  • Reported component ID

    5725D0600

  • Reported release

    525

  • Status

    CLOSED PER

  • PE

    NoPE

  • HIPER

    NoHIPER

  • Special Attention

    NoSpecatt / Xsystem

  • Submitted date

    2016-06-20

  • Closed date

    2016-09-09

  • Last modified date

    2017-03-23

  • APAR is sysrouted FROM one or more of the following:

  • APAR is sysrouted TO one or more of the following:

Fix information

  • Fixed component name

    STR B2B INTEGRA

  • Fixed component ID

    5725D0600

Applicable component levels

  • R526 PSY

       UP



Document information

More support for: Sterling B2B Integrator

Software version: 5.2.5

Reference #: IT15790

Modified date: 23 March 2017